Subject: RE: [Sip] Re: TLS meaning

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Fri, 27 Oct 2006 15:11:27 -0400

Francois,

I would vote 1) yes, 2) NA

>From all I have seen on the list:

a) It is ambiguous what one is asking for when SIPS is used,
b) It is ambiguous what one will actually get.
c) There is not enough polish to make this one shine.

Better to define a new mechanism, perhaps as Dean suggests in the last
paragraph below.  This problem begs for a header/option tag based
solution that makes clear what is requested, what is provided, and how
success or failure is indicated.

Mike

> -----Original Message-----
> From: Dean Willis [mailto:[email-masked]] 
> Sent: Friday, October 27, 2006 12:14 PM
> To: Francois Audet
> Cc: IETF SIP List
> Subject: [Sip] Re: TLS meaning
> 
> 
> On Oct 26, 2006, at 4:15 PM, Francois Audet wrote:
> 
> > Hi Dean,
> >
> > I'm OK with using other protocols (including DTLS and 
> IPsec) to secure 
> > signalling, but I don't see why you'd need to use SIPS for that.
> >
> 
> That's a fair question.
> 
> I'd argue that the answer is "We would use sips: because that 
> is the current mechanism by which and end user requests 
> secure handling of signaling, indicating that if the other 
> nodes cannot provide secure handling that the call is to fail 
> rather than be handled insecurely"  
> and "because it is important that users be able to demand 
> this distinct handling model".
> 
> I suppose we could replace this with an option-tag in Require 
> and Proxy-Require, and that if we did, we could just deprecate sips:  
> completely. Now that I think of it this way, this might be a 
> much better general mechanism anyhow, much closer to our 
> usual negotiation model.
> 
> --
> Dean
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip 
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip